#ifndef _graph_legend_preference_h__
#define _graph_legend_preference_h__

#include "qcustomplot.h"
#include <QComboBox>

class GraphLegendPreference : public QComboBox {
    Q_OBJECT

  public:
    GraphLegendPreference();

    Qt::AlignmentFlag getStyle(void);

  signals:
    void changed(void);

  private slots:
    void idx_changed(int idx);

  private:
    QString config_key;
};

#endif
